package com.logicbig.example;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.format.FormatterRegistry;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

@EnableWebMvc
@Configuration
@Import(MyViewConfig.class)
public class MyWebConfig extends WebMvcConfigurerAdapter {

    
    @Override
    public void addFormatters (FormatterRegistry registry) {
        AddressFormatAnnotationFormatterFactory factory = new
                            AddressFormatAnnotationFormatterFactory();

        registry.addFormatterForFieldAnnotation(factory);
    }

    

    @Bean
    public CustomerController customerController () {
        return new CustomerController();
    }

    @Bean
    public CustomerDataService userService () {
        return new InMemoryCustomerDataService();
    }
}